Bug 1151095 (CVE-2014-7970) - CVE-2014-7970 Kernel: fs: VFS denial of service
Summary: CVE-2014-7970 Kernel: fs: VFS denial of service
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2014-7970
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20141008,reported=2...
Depends On: 1151483 1151484
Blocks: 1150901
TreeView+ depends on / blocked
 
Reported: 2014-10-09 15:02 UTC by Prasad J Pandit
Modified: 2019-06-08 20:13 UTC (History)
31 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-10 07:42:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1842 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2017-08-01 18:22:09 UTC
Red Hat Product Errata RHSA-2017:2077 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2017-08-01 18:13:37 UTC

Description Prasad J Pandit 2014-10-09 15:02:04 UTC
Linux kernel built with the VFS and user name-space support(CONFIG_USER_NS) is vulnerable to a potential DoS flaw. It could occur while doing pivot_root(2) call to change root file system.

A privileged user/process could use this flaw to potentially render a system unusable leading to DoS.

Upstream fix: 
-------------
  -> http://thread.gmane.org/gmane.linux.file-systems/89076

Reference:
----------
  -> http://seclists.org/oss-sec/2014/q4/228

Comment 1 Prasad J Pandit 2014-10-10 14:27:25 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.

Comment 3 Prasad J Pandit 2014-10-10 14:30:16 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1151484]

Comment 5 Fedora Update System 2014-10-17 08:39:58 UTC
kernel-3.16.6-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-10-19 13:21:35 UTC
kernel-3.14.22-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-11-01 16:33:12 UTC
kernel-3.17.1-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2017-08-01 19:07:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2077 https://access.redhat.com/errata/RHSA-2017:2077

Comment 9 errata-xmlrpc 2017-08-02 07:46:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1842 https://access.redhat.com/errata/RHSA-2017:1842


Note You need to log in before you can comment on or make changes to this bug.